Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy	(revision 3574)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy	(revision 3575)
@@ -12,8 +12,8 @@
 import org.txm.core.preferences.TBXPreferences
 import org.txm.rcp.swt.widget.parameters.*
 
-@Field @Option(name="tsvFile", usage="The annotation TSV file", widget="FileOpen", required=true, def="")
-def tsvFile
+@Field @Option(name="csvFile", usage="The annotation CSV file", widget="FileOpen", required=true, def="")
+def csvFile
 
 @Field @Option(name="properties", usage="columns to inject separated by commas", widget="String", required=true, def="p1, p2, ... , pn")
 def properties
@@ -24,18 +24,23 @@
 @Field @Option(name="debug", usage="Debug de the macro", widget="Boolean", required=false, def="false")
 def debug
 
+if (!(corpusViewSelection instanceof MainCorpus)) {
+	
+	return;
+}
+
 if (!ParametersDialog.open(this)) return;
 
-println "Importing the $properties properties in the $selection corpus"
+println "Importing the $properties properties in the $corpusViewSelection corpus"
 
-File inputDirectory = new File(selection.getParent().getProjectDirectory(), "txm/"+selection.getName())
+File inputDirectory = new File(corpusViewSelection.getParent().getProjectDirectory(), "txm/"+selection.getName())
 
 // insert the section in the TRS files
 gse.runMacro(InjectWordPropTableMacro, ["inputDirectory": inputDirectory
 	, "outputDirectory": inputDirectory
-	, "tsvFile": tsvFile
+	, "csvFile": csvFile
 	, "properties": properties
 	, "debug":debug] ,
 )
 
-org.txm.rcp.commands.workspace.UpdateCorpus.update(selection, update_edition)
+org.txm.rcp.commands.workspace.UpdateCorpus.update(corpusViewSelection, update_edition)
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy	(revision 3574)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/InjectWordPropTableMacro.groovy	(revision 3575)
@@ -18,7 +18,7 @@
 @Field @Option(name="outputDirectory", usage="The result folder", widget="Folder", required=true, def="")
 def outputDirectory
 
-@Field @Option(name="csvFile", usage="The annotation TSV file", widget="FileOpen", required=true, def="")
+@Field @Option(name="csvFile", usage="The annotation CSV file", widget="FileOpen", required=true, def="")
 def csvFile
 
 @Field @Option(name="properties", usage="columns to inject separated by commas", widget="String", required=true, def="p1, p2, ... , pn")
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/BuildWordPropTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/BuildWordPropTableMacro.groovy	(revision 3574)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/BuildWordPropTableMacro.groovy	(revision 3575)
@@ -65,7 +65,7 @@
 @Field @Option(name="references", usage="references to show", widget="String", required=true, def="text_id")
 		def references
 
-@Field @Option(name="csvFile", usage="The result TSV file", widget="FileSave", required=true, def="export.tsv")
+@Field @Option(name="csvFile", usage="The result CSV file", widget="FileSave", required=true, def="")
 		def csvFile
 
 if (!ParametersDialog.open(this)) return;
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy	(revision 3574)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy	(revision 3575)
@@ -65,7 +65,7 @@
 @Field @Option(name="references", usage="references to show", widget="String", required=true, def="text_id")
 		def references
 
-@Field @Option(name="csvFile", usage="The result TSV file", widget="FileSave", required=true, def="export.tsv")
+@Field @Option(name="csvFile", usage="The result CSV file", widget="FileSave", required=true, def="export.tsv")
 		def csvFile
 
 if (!ParametersDialog.open(this)) return;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3574)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3575)
@@ -35,7 +35,7 @@
 
 		HashMap<String, Object> defaultParameters = new HashMap<String, Object>();
 		defaultParameters.put("properties", "frpos,frlemma"); //$NON-NLS-1$ //$NON-NLS-2$
-		defaultParameters.put("tsvFile", corpus.getName()+"_annotations.tsv"); //$NON-NLS-1$ //$NON-NLS-2$
+		defaultParameters.put("csvFile", corpus.getName()+"_annotations.tsv"); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		ExecuteGroovyMacro.execute(script.getAbsolutePath(), part, selection, null, null, defaultParameters); //$NON-NLS-1$
 		return null;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3574)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3575)
@@ -70,6 +70,10 @@
 		return update(corpus, false, TBXPreferences.getInstance().getBoolean(TBXPreferences.UPDATEEDITIONS));
 	}
 	
+	public static JobHandler update(final MainCorpus corpus, boolean updateEdition) {
+		return update(corpus, false, updateEdition);
+	}
+	
 	public static JobHandler update(final MainCorpus corpus, boolean forceUpdate, boolean updateEdition) {
 		
 		final Project project = corpus.getProject();
